/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2019-04-22
 * 描述            ：制造规范工序与工艺标准关系表
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Qms.qcm.vo;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

import market.Qms.qcm.mapper.ComMscProcessRCraftMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name = "COM_MSC_PROCESS_R_CRAFT", namespace = ComMscProcessRCraftMapper.class)
public class ComMscProcessRCraft extends BaseVO implements Serializable {
	/**
	 * 来源COM_MSC_PROCESS.GUID
	 */
	@Id
	private String guid;

	public String getGuid() {
		return this.guid;
	}

	public void setGuid(String guid) {
		this.guid = guid;
	}

	/**
	 * 工艺标准代码
	 */
	@Id
	private String craft_std_code;

	public String getCraft_std_code() {
		return this.craft_std_code;
	}

	public void setCraft_std_code(String craft_std_code) {
		this.craft_std_code = craft_std_code;
	}

	/**
	 * 工艺标准名称
	 */
	@Column
	private String craft_std_name;

	public String getCraft_std_name() {
		return this.craft_std_name;
	}

	public void setCraft_std_name(String craft_std_name) {
		this.craft_std_name = craft_std_name;
	}

	/**
	 * 创建人
	 */
	@Column
	private String create_name;

	public String getCreate_name() {
		return this.create_name;
	}

	public void setCreate_name(String create_name) {
		this.create_name = create_name;
	}

	/**
	 * 创建时间
	 */
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date create_time;

	public Date getCreate_time() {
		return this.create_time;
	}

	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

	private List<ComMscStationRCraft> tics;

	public List<ComMscStationRCraft> getTics() {
		return tics;
	}

	public void setTics(List<ComMscStationRCraft> tics) {
		this.tics = tics;
	}

	
	private String is_sure;

	public String getIs_sure() {
		return is_sure;
	}

	public void setIs_sure(String is_sure) {
		this.is_sure = is_sure;
	}
	
	

}
